import { CfnInclude, IncludedNestedStack } from 'aws-cdk-lib/cloudformation-include';
import { NestedStack } from 'aws-cdk-lib';
export declare class CfnResourceNotFoundError extends Error {
    constructor(logicalId: string, type: string);
}
/**
 * @internal
 */
export declare class BaseIncludedStack {
    includedTemplate: CfnInclude;
    stack: NestedStack;
    constructor(includedStack: IncludedNestedStack);
    getResourceConstruct<T>(logicalId: string): T;
}
